### Hierarchy

- Pairing

## Index

### Constructors

- constructor

### Properties

- device

### Methods

- initiatePair

## Constructors

### constructor

- new Pairing(device: AppleTV): Pairing

- - Defined in lib/pairing.ts:24

  #### Parameters

  - ##### device: AppleTV

  #### Returns Pairing

## Properties

### device

device: AppleTV

- Defined in lib/pairing.ts:26

## Methods

### initiatePair

- initiatePair(): Promise<function>

- - Defined in lib/pairing.ts:34

  Initiates the pairing process

  #### Returns Promise<function>

  A promise that resolves to a callback which takes in the pairing pin from the Apple TV.

Generated using TypeDoc